# Copyright (C) 2013, 2014 Freescale Semiconductor

DESCRIPTION = "U-Boot i.MX6 SMARC-FiMX6 platforms"
require  recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/README;md5=025bf9f768cbcb1a165dbe1a110babfb"

PROVIDES += "u-boot"
PV = "2014.04-smarcfimx6"

SRCREV = "db7df3733a7b81c70d85c07fa2c7454ae6178656"
SRCBRANCH = "smarc-imx_v2014.04_3.14.28_1.0.0_ga"
# eMMC Boot Up
#SRCREV = "2b0d7376c7014a118e5d532e8c06dee85d3c022c"
#SRCBRANCH = "smarc-emmc-imx_v2014.04_3.14.28_1.0.0_ga"
SRC_URI = "${EMB_UBOOT_MIRROR};protocol=ssh;branch=${SRCBRANCH}"

PR = "r0+gitr${SRCPV}"

S = "${WORKDIR}/git"

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(mx6)"

